io_uring_prep_bind(3)

NAME
io_uring_prep_bind - prepare a bind request

SYNOPSIS
#include <sys/socket.h>
#include <liburing.h>

void io_uring_prep_bind(struct io_uring_sqe *sqe,
                          int sockfd,
                          struct sockaddr *addr,
                          socklen_t addrlen);

DESCRIPTION
The io_uring_prep_bind(3) function prepares a bind request. The submission queue entry sqe is setup to assign the network address at addr, of length addrlen, to the socket descriptor sockfd.

This function prepares an async bind(2) request. See that man page for details.

RETURN VALUE
None

ERRORS
The CQE res field will contain the result of the operation. See the related man page for details on possible values. Note that where synchronous system calls will return -1 on failure and set errno to the actual error value, io_uring never uses errno. Instead it returns the negated errno directly in the CQE res field.

SEE ALSO
io_uring_get_sqe(3), io_uring_submit(3), bind(2)